import java.awt.*;
import java.awt.event.*;
import fr.l2f.gui.*;

public class ToolBarPanel extends Panel implements ActionListener {

  protected ToolBar tb = new ToolBar(AlignStyle.ALIGN_HORIZONTAL,24);
  protected ToolBar tb2 = new ToolBar(AlignStyle.ALIGN_VERTICAL,24);

	ToolBarPanel() {
		init();
	}

	public void init() {
		setLayout(new BorderLayout());

    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/new.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/open.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/save.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/saveall.gif")));
    tb.addSpace();
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/print.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/cut.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/copy.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/paste.gif")));
		tb.addSpace();
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/bold.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/italic.gif")));
    tb.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/underline.gif")));
    tb.tryToWaitForImages();
/*    Component[] compTab = tb.getButtons();
    for (int i = 0; i < compTab.length; i++) {
    	System.out.println( ((Component)(compTab[i])).toString() );
    	if (compTab[i] instanceof ImageButton)
      	((ImageButton)compTab[i]).addActionListener(this);*/
		
		tb2.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/correct.gif")));
		tb2.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/properties.gif")));
		tb2.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/search.gif")));
		tb2.addSpace();
		tb2.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/align_left.gif")));
		tb2.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/align_center.gif")));
		tb2.addComponent(new ImageButton(Toolkit.getDefaultToolkit().getImage("images/align_right.gif")));
    tb2.tryToWaitForImages();      

		add("North", tb);
		add("West", tb2);
		add("Center", new TextArea());
	}

	public void actionPerformed(ActionEvent event) {
	}

}